Amahi 7 development notes

User avatar
cpg
Administrator
Posts: 2604
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Amahi 7 development notes

Postby cpg » Sun Oct 14, 2012 4:21 am

Hey,

We are getting a little closer to Amahi 7. As you know, the page on amahi edge development is up and about.

As we move along, another piece in the next steps is hdactl running.

Edit: check the two binaries in the wiki ...

There is no package for the platform yet ... so it has to be run by hand still.

Update: latest tarball link added to the Amahi Edge page
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 development notes

Postby stern88 » Mon Oct 15, 2012 2:26 pm

Nice!

But it seems - if I'm not wrong - there is still a problem:

Code: Select all

[root@F17AMD64 ~]# rpm -ivh hdactl-4.2.0-1.x86_64.rpm error: Failed dependencies: cadaver is needed by hdactl-4.2.0-1.x86_64 dhcp is needed by hdactl-4.2.0-1.x86_64 eruby is needed by hdactl-4.2.0-1.x86_64 eruby-libs is needed by hdactl-4.2.0-1.x86_64 hda-platform >= 6.0.0 is needed by hdactl-4.2.0-1.x86_64 httpd is needed by hdactl-4.2.0-1.x86_64 monit is needed by hdactl-4.2.0-1.x86_64 perl-Authen-PAM is needed by hdactl-4.2.0-1.x86_64 php is needed by hdactl-4.2.0-1.x86_64 php-mysql is needed by hdactl-4.2.0-1.x86_64 ruby-augeas is needed by hdactl-4.2.0-1.x86_64 ruby-mysql is needed by hdactl-4.2.0-1.x86_64 ruby-racc is needed by hdactl-4.2.0-1.x86_64 ruby-rdoc is needed by hdactl-4.2.0-1.x86_64 ruby-ri is needed by hdactl-4.2.0-1.x86_64 rubygem-passenger is needed by hdactl-4.2.0-1.x86_64 samba is needed by hdactl-4.2.0-1.x86_64 [root@F17AMD64 ~]#

hdactl needs ruby-rdoc, but ruby-rdoc is obsolete. Maybe rubygem-rdoc helps?

https://admin.fedoraproject.org/updates ... .12-3.fc17

See also broken dependencies:

https://bugzilla.redhat.com/show_bug.cgi?id=809007


However I cant install ruby-rdoc:

Code: Select all

[root@F17AMD64 ~]# yum install ruby-rdoc Loaded plugins: langpacks, presto, refresh-packagekit No package ruby-rdoc available. Error: Nothing to do [root@F17AMD64 ~]#

Good night!

User avatar
cpg
Administrator
Posts: 2604
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 development notes

Postby cpg » Mon Oct 15, 2012 4:08 pm

Thanks for the report! Yes, this was a first attempt.

Will post an update with more dependencies. More soon.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 development notes

Postby stern88 » Tue Oct 16, 2012 9:47 am

Thanks for the report! Yes, this was a first attempt.
np! Cant wait for Amahi 7 as F14 reached its EoL ;)
Will post an update with more dependencies. More soon.
Dont forget to post the new Link. The Link above points to hdactl-4.2.0-1

User avatar
cpg
Administrator
Posts: 2604
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 development notes

Postby cpg » Tue Oct 16, 2012 5:55 pm

Hi, the links above and the wiki page have been updated with better dependencies, though they may still be missing some. Also the wiki directions have been updated with more details, starting from a minimal F17 install, so they are tighter and adjusted to a minimal install.

Thanks for the feedback. I will see if I can produce an hda-platform that (maybe) works and perhaps come up with an hda-install.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 development notes

Postby stern88 » Thu Oct 18, 2012 11:30 am

Hmmm... had to force installation of hdactl. I followed the steps described in the wiki:

Code: Select all

[root@F17AMD64 ~]# rpm -ivh hdactl-4.2.0-1.x86_64.rpm error: Failed dependencies: hda-platform >= 6.0.0 is needed by hdactl-4.2.0-1.x86_64 [root@F17AMD64 ~]# rpm -Uvh --nodeps hdactl-4.2.0-1.x86_64.rpm Preparing... ########################################### [100%] 1:hdactl ########################################### [100%] [root@F17AMD64 ~]#
Maybe a installtion from git is a better idea?

However I run the test using the command rake spec

Code: Select all

[administrator@F17AMD64 amahi-7]$ rake spec /home/administrator/.gem/ruby/1.9.1/gems/blankslate-3.1.2/lib/blankslate.rb:51: warning: undefining `object_id' may cause serious problems /usr/bin/ruby -S rspec ./spec/requests/front_page_spec.rb ./spec/requests/user_create_spec.rb ./spec/requests/users_tab_spec.rb ./spec/requests/admin_spec.rb ./spec/requests/admin_creation_spec.rb /home/administrator/.gem/ruby/1.9.1/gems/blankslate-3.1.2/lib/blankslate.rb:51: warning: undefining `object_id' may cause serious problems ............ Finished in 39.58 seconds 12 examples, 0 failures Randomized with seed 28739 [administrator@F17AMD64 amahi-7]$
Where is the log file from this test?

Rebooting works fine and I can access Amahi on http://localhost:2000/
Lets see if Amahi is ready for installation ;)

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 development notes

Postby stern88 » Thu Oct 18, 2012 11:38 am

Btw:

mybe my ruby-install-log can help:

Code: Select all

[root@F17AMD64 ~]# cat /tmp/amahi-ruby-install.log :public is no longer used to avoid overloading Module#public, use :public_folder instead from /usr/share/hdactl/web-installer/install-server:36:in `block in <class:AmahiInstaller>' [2012-10-18 20:35:50] INFO WEBrick 1.3.1 [2012-10-18 20:35:50] INFO ruby 1.9.3 (2012-04-20) [x86_64-linux] == Sinatra/1.3.2 has taken the stage on 2000 for development with backup from WEBrick [2012-10-18 20:35:50] INFO WEBrick::HTTPServer#start: pid=1620 port=2000 Sinatra::Base#options is deprecated and will be removed, use #settings instead. Sinatra::Base#options is deprecated and will be removed, use #settings instead. localhost.localdomain - - [18/Oct/2012:20:36:01 CEST] "POST /install HTTP/1.1" 500 2467 http://localhost:2000/ -> /install localhost.localdomain - - [18/Oct/2012:20:36:01 CEST] "POST /install HTTP/1.1" 500 2467 http://localhost:2000/ -> /install

Dealing currently with this problem:

Code: Select all

[root@F17AMD64 ~]# hda-install *myinstallcode* /bin/hda-install:591: Invalid break /bin/hda-install: compile error (SyntaxError) [root@F17AMD64 ~]# ls -rtl /bin/hda-install -rwxr-xr-x. 1 root root 38720 Oct 16 19:42 /bin/hda-install

User avatar
cpg
Administrator
Posts: 2604
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 development notes

Postby cpg » Thu Oct 18, 2012 12:49 pm

good job.

yes, we're working on these as we speak.

we may have an hda-platform later this week. we may need to introduce a new package.
(technically, the gems in amahi 7 are a lot and too risky to install on the fly.)

more soon ...
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 development notes

Postby stern88 » Sat Oct 20, 2012 3:31 am

Hi!

Just read that tweet:
http://cpg.amahi.me/Public/Screenshots/ ... s-area.png

Its really great work, but what about adding more options into the users-area. Just like in freenas, where people can specifiy the SSH Public Key, Shell and enable/disable password logins.

>> http://doc.freenas.org/index.php/Users

User avatar
cpg
Administrator
Posts: 2604
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 development notes

Postby cpg » Sat Oct 20, 2012 3:32 am

Hello! update ... today was a day of MASSIVE PROGRESS!

We have now packaged Amahi 7 packages for the first time, though in a little clunky way.

Because of this we leave the Amahi Edge page behind and we moved the details to the Amahi 7 testing page.

Please report errors, typos, misunderstandings, etc.!

We have two major issues blocking us that were small in nature, but big in blocking. Apache apparently cannot see files in /tmp (and not because of SELinux!). So we had to do a number of noticeable changes.

Things ought to pick up in speed, though we will need to repackage things further, which may slow things out a little before things speed up in terms of releases.

Please test and report!! Have fun! :-)
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

Who is online

Users browsing this forum: No registered users and 1 guest